### Method

# GUPnP DeviceInfo list_dlna_capabilities

#### Declaration [src]

    GList*
    gupnp_device_info_list_dlna_capabilities (
      GUPnPDeviceInfo* info
    )

#### Description [src]

Get a `GList` of strings that represent the device capabilities as announced in the device description file using the <dlna:X_DLNACAP> element.

Available since: | 0.14.0

#### Return value

Returns: | A list of `utf8`
| A `GList` of newly allocated strings or `NULL` if the device description doesn’t contain the <dlna:X_DLNACAP> element.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| Each element is a NUL terminated UTF-8 string.